From: Sasha Levin <sashal@kernel.org>
To: linux-kernel@vger.kernel.org, stable@vger.kernel.org
Cc: Masahiro Yamada <masahiroy@kernel.org>,
Nick Desaulniers <ndesaulniers@google.com>,
Michael Ellerman <mpe@ellerman.id.au>,
Sasha Levin <sashal@kernel.org>,
linuxppc-dev@lists.ozlabs.org
Subject: [PATCH AUTOSEL 5.10 15/53] powerpc: make the install target not depend on any build artifact
Date: Thu, 9 Sep 2021 20:19:50 -0400 [thread overview]
Message-ID: <20210910002028.175174-15-sashal@kernel.org> (raw)
In-Reply-To: <20210910002028.175174-1-sashal@kernel.org>
From: Masahiro Yamada <masahiroy@kernel.org>
[ Upstream commit 9bef456b20581e630ef9a13555ca04fed65a859d ]
The install target should not depend on any build artifact.
The reason is explained in commit 19514fc665ff ("arm, kbuild: make
"make install" not depend on vmlinux").
Change the PowerPC installation code in a similar way.
Signed-off-by: Masahiro Yamada <masahiroy@kernel.org>
Reviewed-by: Nick Desaulniers <ndesaulniers@google.com>
Signed-off-by: Michael Ellerman <mpe@ellerman.id.au>
Link: https://lore.kernel.org/r/20210729141937.445051-2-masahiroy@kernel.org
Signed-off-by: Sasha Levin <sashal@kernel.org>
---
arch/powerpc/boot/Makefile | 2 +-
arch/powerpc/boot/install.sh | 14 ++++++++++++++
2 files changed, 15 insertions(+), 1 deletion(-)
diff --git a/arch/powerpc/boot/Makefile b/arch/powerpc/boot/Makefile
index e4b364b5da9e..de18b4df3866 100644
--- a/arch/powerpc/boot/Makefile
+++ b/arch/powerpc/boot/Makefile
@@ -436,7 +436,7 @@ $(obj)/zImage.initrd: $(addprefix $(obj)/, $(initrd-y))
$(Q)rm -f $@; ln $< $@
# Only install the vmlinux
-install: $(CONFIGURE) $(addprefix $(obj)/, $(image-y))
+install:
sh -x $(srctree)/$(src)/install.sh "$(KERNELRELEASE)" vmlinux System.map "$(INSTALL_PATH)"
# Install the vmlinux and other built boot targets.
diff --git a/arch/powerpc/boot/install.sh b/arch/powerpc/boot/install.sh
index b6a256bc96ee..8d669cf1ccda 100644
--- a/arch/powerpc/boot/install.sh
+++ b/arch/powerpc/boot/install.sh
@@ -21,6 +21,20 @@
# Bail with error code if anything goes wrong
set -e
+verify () {
+ if [ ! -f "$1" ]; then
+ echo "" 1>&2
+ echo " *** Missing file: $1" 1>&2
+ echo ' *** You need to run "make" before "make install".' 1>&2
+ echo "" 1>&2
+ exit 1
+ fi
+}
+
+# Make sure the files actually exist
+verify "$2"
+verify "$3"
+
# User may have a custom install script
if [ -x ~/bin/${INSTALLKERNEL} ]; then exec ~/bin/${INSTALLKERNEL} "$@"; fi
--
2.30.2
next prev parent reply other threads:[~2021-09-10 0:44 UTC|newest]
Thread overview: 53+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-09-10 0:19 [PATCH AUTOSEL 5.10 01/53] clk: rockchip: rk3036: fix up the sclk_sfc parent error Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 02/53] scsi: be2iscsi: Fix use-after-free during IP updates Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 03/53] scsi: lpfc: Fix NVMe support reporting in log message Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 04/53] f2fs: Revert "f2fs: Fix indefinite loop in f2fs_gc() v1" Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 05/53] scsi: smartpqi: Fix ISR accessing uninitialized data Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 06/53] iommu/amd: Fix printing of IOMMU events when rate limiting kicks in Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 07/53] scsi: lpfc: Fix cq_id truncation in rq create Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 08/53] pinctrl: renesas: Fix pin control matching on R-Car H3e-2G Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 09/53] clk: mediatek: Fix asymmetrical PLL enable and disable control Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 10/53] HID: usbhid: free raw_report buffers in usbhid_stop Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 11/53] f2fs: fix to force keeping write barrier for strict fsync mode Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 12/53] f2fs: fix min_seq_blocks can not make sense in some scenes Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 13/53] scsi: ufs: Verify UIC locking requirements at runtime Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 14/53] cpuidle: pseries: Do not cap the CEDE0 latency in fixup_cede0_latency() Sasha Levin
2021-09-10 0:19 ` Sasha Levin [this message]
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 16/53] f2fs: fix to stop filesystem update once CP failed Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 17/53] MIPS: loongson2ef: don't build serial.o unconditionally Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 18/53] jbd2: fix portability problems caused by unaligned accesses Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 19/53] jbd2: fix clang warning in recovery.c Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 20/53] iommu: Fix race condition during default domain allocation Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 21/53] iommu/arm-smmu: Fix race condition during iommu_group creation Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 22/53] scsi: qla2xxx: Fix port type info Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 23/53] scsi: qla2xxx: Fix unsafe removal from linked list Sasha Levin
2021-09-10 0:19 ` [PATCH AUTOSEL 5.10 24/53] scsi: qla2xxx: Fix NPIV create erroneous error Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 25/53] ovl: skip checking lower file's i_writecount on truncate Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 26/53] scsi: target: pscsi: Fix possible null-pointer dereference in pscsi_complete_cmd() Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 27/53] iommu/vt-d: Add present bit check in pasid entry setup helpers Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 28/53] fs: dlm: fix return -EINTR on recovery stopped Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 29/53] HID: sony: Fix more ShanWan clone gamepads to not rumble when plugged in Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 30/53] MIPS: mscc: ocelot: disable all switch ports by default Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 31/53] MIPS: mscc: ocelot: mark the phy-mode for internal PHY ports Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 32/53] scsi: qla2xxx: Fix NVMe | FCP personality change Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 33/53] scsi: qla2xxx: Fix NVMe session down detection Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 34/53] scsi: core: Fix missing FORCE for scsi_devinfo_tbl.c build rule Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 35/53] powerpc/32: indirect function call use bctrl rather than blrl in ret_from_kernel_thread Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 36/53] powerpc/booke: Avoid link stack corruption in several places Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 37/53] powerpc: Avoid link stack corruption in misc asm functions Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 38/53] KVM: PPC: Book3S HV: Initialise vcpu MSR with MSR_ME Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 39/53] KVM: PPC: Book3S HV P9: Fixes for TM softpatch interrupt NIP Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 40/53] KVM: PPC: Book3S HV Nested: Fix TM softpatch HFAC interrupt emulation Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 41/53] RDMA/core/sa_query: Retry SA queries Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 42/53] selftests: openat2: Fix testing failure for O_LARGEFILE flag Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 43/53] selftests/x86: Fix error: variably modified 'altstack_data' at file scope Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 44/53] platform/x86: dell-smbios-wmi: Avoid false-positive memcpy() warning Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 45/53] clk: zynqmp: Fix a memory leak Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 46/53] MIPS: ingenic: Unconditionally enable clock of CPU #0 Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 47/53] ext4: if zeroout fails fall back to splitting the extent node Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 48/53] ext4: Make sure quota files are not grabbed accidentally Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 49/53] xen: remove stray preempt_disable() from PV AP startup code Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 50/53] checkkconfigsymbols.py: Fix the '--ignore' option Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 51/53] ocfs2: quota_local: fix possible uninitialized-variable access in ocfs2_local_read_info() Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 52/53] ocfs2: ocfs2_downconvert_lock failure results in deadlock Sasha Levin
2021-09-10 0:20 ` [PATCH AUTOSEL 5.10 53/53] kasan: test: avoid corrupting memory in kasan_rcu_uaf Sasha Levin
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20210910002028.175174-15-sashal@kernel.org \
--to=sashal@kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=linuxppc-dev@lists.ozlabs.org \
--cc=masahiroy@kernel.org \
--cc=mpe@ellerman.id.au \
--cc=ndesaulniers@google.com \
--cc=stable@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox